Skip to main content
POST
/
storefronts
Create storefront
curl --request POST \
  --url https://api.agentic.scope3.com/api/v2/partner/storefronts \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "platformId": "cvs-media",
  "name": "CVS Media"
}
'
{
  "platformId": "cvs-media",
  "name": "CVS Media",
  "plan": "basic",
  "enabled": true,
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

API key or access token

Body

application/json

Request body for creating a storefront

platformId
string
required

Public-facing slug for the storefront (e.g. "snapchat", "cvs-media")

Required string length: 2 - 100
Pattern: ^[a-z0-9][a-z0-9-]*[a-z0-9]$
Example:

"cvs-media"

name
string
required

Display name for the storefront

Required string length: 1 - 255
Example:

"CVS Media"

plan
enum<string>
default:basic

Storefront plan tier

Available options:
basic

Response

Create storefront

Storefront configuration response

platformId
string
required

Public-facing slug

Example:

"cvs-media"

name
string
required

Display name

Example:

"CVS Media"

plan
enum<string>
required

Storefront plan tier

Available options:
basic
enabled
boolean
required

Whether the storefront is enabled

createdAt
string<date-time>
required

Creation timestamp (ISO 8601)

Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
updatedAt
string<date-time>
required

Last update timestamp (ISO 8601)

Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$